
Infrastructure - Bug #1522

Hudson tomcat server hitting PermGen space limit

2011-05-04 15:26 - Dave Vieglais

Status: Closed Start date: 2011-05-04

Priority: Urgent Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone:  Story Points:  

Product Version: *   

Description

Tomcat is running out of memory:

Caused by: java.lang.OutOfMemoryError: PermGen space

May 4, 2011 4:13:05 AM org.apache.catalina.core.StandardWrapperValve invoke

History

#1 - 2011-05-04 15:32 - Dave Vieglais

- Status changed from New to In Progress

Adjusting VM RAM allocation and changing java opts in tomcat startup script.

VM allocation raised to 4GB RAM (from 1GB).

Startup script options modified:

JAVA_OPTS="-Djava.awt.headless=true -Dfile.encoding=UTF-8 -server -Xms1536m

-Xmx1536m -XX:NewSize=256m -XX:MaxNewSize=256m -XX:PermSize=256m

-XX:MaxPermSize=256m -XX:+DisableExplicitGC"

#2 - 2011-05-04 15:33 - Dave Vieglais

- Status changed from In Progress to Closed

Hudson seems to be happy again.
